package domain


type AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult struct {
    /*
        无用字段（已废弃）     */
    Data  *int64 `json:"data,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误描述     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误编码     */
    ErrorCode  *string `json:"error_code,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult) SetData(v int64) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingItemdiscountActivitySkuDeleteOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
